/*
 *  TOPPERS ECHONET Lite Communication Middleware
 * 
 *  Copyright (C) 2018 Cores Co., Ltd. Japan
 * 
 *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
 *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
 *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
 *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
 *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
 *      スコード中に含まれていること．
 *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
 *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
 *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
 *      の無保証規定を掲載すること．
 *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
 *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
 *      と．
 *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
 *        作権表示，この利用条件および下記の無保証規定を掲載すること．
 *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
 *        報告すること．
 *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
 *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
 *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
 *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
 *      免責すること．
 * 
 *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
 *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
 *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
 *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
 *  の責任を負わない．
 * 
 *  $Id$
 */

/*
 * 東雲フォント
 * http://openlab.ring.gr.jp/efont/shinonome/
 * Licence
 * Public Domain
 */


#include "fonts.h"

/*
 *  001
 */
static const uint8_t Font12_01[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x70, //  ###  
	0x70, //  ###  
	0xF8, // ##### 
	0xF8, // ##### 
	0x70, //  ###  
	0x70, //  ###  
	0x20, //   #   
	0x20, //   #   
	0x00  //       
};

/*
 *  002
 */
static const uint8_t Font12_02[] = {
	6, 12,
	1, 12,
	0x54, //  # # #
	0xA8, // # # # 
	0x54, //  # # #
	0xA8, // # # # 
	0x54, //  # # #
	0xA8, // # # # 
	0x54, //  # # #
	0xA8, // # # # 
	0x54, //  # # #
	0xA8, // # # # 
	0x54, //  # # #
	0xA8  // # # # 
};

/*
 *  003
 */
static const uint8_t Font12_03[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xA0, // # #   
	0xA0, // # #   
	0xE0, // ###   
	0xA0, // # #   
	0xA0, // # #   
	0x38, //   ### 
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x00  //       
};

/*
 *  004
 */
static const uint8_t Font12_04[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xE0, // ###   
	0x80, // #     
	0xE0, // ###   
	0x80, // #     
	0x80, // #     
	0x38, //   ### 
	0x20, //   #   
	0x38, //   ### 
	0x20, //   #   
	0x20, //   #   
	0x00  //       
};

/*
 *  005
 */
static const uint8_t Font12_05[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x60, //  ##   
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x60, //  ##   
	0x30, //   ##  
	0x28, //   # # 
	0x30, //   ##  
	0x28, //   # # 
	0x28, //   # # 
	0x00  //       
};

/*
 *  006
 */
static const uint8_t Font12_06[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0xE0, // ###   
	0x38, //   ### 
	0x20, //   #   
	0x38, //   ### 
	0x20, //   #   
	0x20, //   #   
	0x00  //       
};

/*
 *  007
 */
static const uint8_t Font12_07[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x60, //  ##   
	0x90, // #  #  
	0x60, //  ##   
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  008
 */
static const uint8_t Font12_08[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0xF8, // ##### 
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0xF8, // ##### 
	0x00, //       
	0x00  //       
};

/*
 *  009
 */
static const uint8_t Font12_09[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xC0, // ##    
	0xA0, // # #   
	0xA0, // # #   
	0xA0, // # #   
	0xA0, // # #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x38, //   ### 
	0x00  //       
};

/*
 *  010
 */
static const uint8_t Font12_10[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xA0, // # #   
	0xA0, // # #   
	0xA0, // # #   
	0xA0, // # #   
	0x40, //  #    
	0x30, //   ##  
	0x28, //   # # 
	0x30, //   ##  
	0x28, //   # # 
	0x28, //   # # 
	0x00  //       
};

/*
 *  011
 */
static const uint8_t Font12_11[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0xE0, // ###   
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  012
 */
static const uint8_t Font12_12[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0xE0, // ###   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20  //   #   
};

/*
 *  013
 */
static const uint8_t Font12_13[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x3C, //   ####
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20  //   #   
};

/*
 *  014
 */
static const uint8_t Font12_14[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x3C, //   ####
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  015
 */
static const uint8_t Font12_15[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0xFC, // ######
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20  //   #   
};

/*
 *  016
 */
static const uint8_t Font12_16[] = {
	6, 12,
	1, 12,
	0xFC, // ######
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  017
 */
static const uint8_t Font12_17[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0xFC, // ######
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  018
 */
static const uint8_t Font12_18[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0xFC, // ######
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  019
 */
static const uint8_t Font12_19[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0xFC, // ######
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  020
 */
static const uint8_t Font12_20[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0xFC  // ######
};

/*
 *  021
 */
static const uint8_t Font12_21[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x3C, //   ####
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20  //   #   
};

/*
 *  022
 */
static const uint8_t Font12_22[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0xE0, // ###   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20  //   #   
};

/*
 *  023
 */
static const uint8_t Font12_23[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0xFC, // ######
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  024
 */
static const uint8_t Font12_24[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0xFC, // ######
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20  //   #   
};

/*
 *  025
 */
static const uint8_t Font12_25[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20  //   #   
};

/*
 *  026
 */
static const uint8_t Font12_26[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x18, //    ## 
	0x60, //  ##   
	0x80, // #     
	0x60, //  ##   
	0x18, //    ## 
	0xF8, // ##### 
	0x00, //       
	0xF8, // ##### 
	0x00, //       
	0x00  //       
};

/*
 *  027
 */
static const uint8_t Font12_27[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0xC0, // ##    
	0x30, //   ##  
	0x08, //     # 
	0x30, //   ##  
	0xC0, // ##    
	0xF8, // ##### 
	0x00, //       
	0xF8, // ##### 
	0x00, //       
	0x00  //       
};

/*
 *  028
 */
static const uint8_t Font12_28[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0xF8, // ##### 
	0x50, //  # #  
	0x50, //  # #  
	0x50, //  # #  
	0x50, //  # #  
	0x58, //  # ## 
	0x80, // #     
	0x00, //       
	0x00  //       
};

/*
 *  029
 */
static const uint8_t Font12_29[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x08, //     # 
	0x08, //     # 
	0x10, //    #  
	0xF8, // ##### 
	0x20, //   #   
	0xF8, // ##### 
	0x40, //  #    
	0x80, // #     
	0x80, // #     
	0x00, //       
	0x00  //       
};

/*
 *  030
 */
static const uint8_t Font12_30[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x18, //    ## 
	0x20, //   #   
	0x20, //   #   
	0xF8, // ##### 
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x60, //  ##   
	0xA4, // # #  #
	0x58, //  # ## 
	0x00  //       
};

/*
 *  031
 */
static const uint8_t Font12_31[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  SPACE
 */
static const uint8_t Font12_32[] = {
	6, 12,
	0, 0
};

/*
 *  !
 */
static const uint8_t Font12_33[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  '!'
 */
static const uint8_t Font12_34[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x50, //  # #  
	0x50, //  # #  
	0x50, //  # #  
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  '#'
 */
static const uint8_t Font12_35[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x50, //  # #  
	0x50, //  # #  
	0xF8, // ##### 
	0x50, //  # #  
	0x50, //  # #  
	0x50, //  # #  
	0xF8, // ##### 
	0x50, //  # #  
	0x50, //  # #  
	0x00, //       
	0x00  //       
};

/*
 *  '$'
 */
static const uint8_t Font12_36[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x20, //   #   
	0x70, //  ###  
	0xA8, // # # # 
	0xA8, // # # # 
	0x60, //  ##   
	0x30, //   ##  
	0x28, //   # # 
	0xA8, // # # # 
	0x70, //  ###  
	0x20, //   #   
	0x00  //       
};

/*
 *  '%'
 */
static const uint8_t Font12_37[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x48, //  #  # 
	0xA8, // # # # 
	0x50, //  # #  
	0x10, //    #  
	0x20, //   #   
	0x20, //   #   
	0x50, //  # #  
	0x68, //  ## # 
	0x90, // #  #  
	0x80, // #     
	0x00  //       
};

/*
 *  '&'
 */
static const uint8_t Font12_38[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x60, //  ##   
	0x90, // #  #  
	0x90, // #  #  
	0x60, //  ##   
	0x40, //  #    
	0xA8, // # # # 
	0x90, // #  #  
	0x90, // #  #  
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  '''
 */
static const uint8_t Font12_39[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x30, //   ##  
	0x10, //    #  
	0x20, //   #   
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  '('
 */
static const uint8_t Font12_40[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x08, //     # 
	0x10, //    #  
	0x10, //    #  
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x10, //    #  
	0x10, //    #  
	0x08, //     # 
	0x00  //       
};

/*
 *  ')'
 */
static const uint8_t Font12_41[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x80, // #     
	0x40, //  #    
	0x40, //  #    
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x40, //  #    
	0x40, //  #    
	0x80, // #     
	0x00  //       
};

/*
 *  '*'
 */
static const uint8_t Font12_42[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x20, //   #   
	0xA8, // # # # 
	0x70, //  ###  
	0xA8, // # # # 
	0x20, //   #   
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  '+'
 */
static const uint8_t Font12_43[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0xF8, // ##### 
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  ','
 */
static const uint8_t Font12_44[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x40, //  #    
	0x00  //       
};

/*
 *  '-'
 */
static const uint8_t Font12_45[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0xF8, // ##### 
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  '.'
 */
static const uint8_t Font12_46[] = {
	5, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  '/'
 */
static const uint8_t Font12_47[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x08, //     # 
	0x08, //     # 
	0x10, //    #  
	0x10, //    #  
	0x20, //   #   
	0x20, //   #   
	0x40, //  #    
	0x40, //  #    
	0x80, // #     
	0x80, // #     
	0x00  //       
};

/*
 *  '0'
 */
static const uint8_t Font12_48[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x30, //   ##  
	0x48, //  #  # 
	0x48, //  #  # 
	0x48, //  #  # 
	0x48, //  #  # 
	0x48, //  #  # 
	0x48, //  #  # 
	0x48, //  #  # 
	0x30, //   ##  
	0x00, //       
	0x00  //       
};

/*
 *  '1'
 */
static const uint8_t Font12_49[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x20, //   #   
	0xE0, // ###   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  '2'
 */
static const uint8_t Font12_50[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x08, //     # 
	0x10, //    #  
	0x20, //   #   
	0x40, //  #    
	0x80, // #     
	0xF8, // ##### 
	0x00, //       
	0x00  //       
};

/*
 *  '3'
 */
static const uint8_t Font12_51[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x08, //     # 
	0x30, //   ##  
	0x08, //     # 
	0x08, //     # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  '4'
 */
static const uint8_t Font12_52[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x10, //    #  
	0x30, //   ##  
	0x30, //   ##  
	0x50, //  # #  
	0x50, //  # #  
	0x90, // #  #  
	0xF8, // ##### 
	0x10, //    #  
	0x10, //    #  
	0x00, //       
	0x00  //       
};

/*
 *  '5'
 */
static const uint8_t Font12_53[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xF0, // ####  
	0x80, // #     
	0x80, // #     
	0xF0, // ####  
	0x88, // #   # 
	0x08, //     # 
	0x08, //     # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  '6'
 */
static const uint8_t Font12_54[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x30, //   ##  
	0x40, //  #    
	0x80, // #     
	0xF0, // ####  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  '7'
 */
static const uint8_t Font12_55[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xF8, // ##### 
	0x08, //     # 
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  '8'
 */
static const uint8_t Font12_56[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  '9'
 */
static const uint8_t Font12_57[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x78, //  #### 
	0x08, //     # 
	0x08, //     # 
	0x10, //    #  
	0x60, //  ##   
	0x00, //       
	0x00  //       
};

/*
 *  ':'
 */
static const uint8_t Font12_58[] = {
	5, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  ';'
 */
static const uint8_t Font12_59[] = {
	5, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x40, //  #    
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  '<'
 */
static const uint8_t Font12_60[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x08, //     # 
	0x10, //    #  
	0x20, //   #   
	0x40, //  #    
	0x20, //   #   
	0x10, //    #  
	0x08, //     # 
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  '='
 */
static const uint8_t Font12_61[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0xF8, // ##### 
	0x00, //       
	0xF8, // ##### 
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  '>'
 */
static const uint8_t Font12_62[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x40, //  #    
	0x20, //   #   
	0x10, //    #  
	0x08, //     # 
	0x10, //    #  
	0x20, //   #   
	0x40, //  #    
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  '?'
 */
static const uint8_t Font12_63[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x10, //    #  
	0x10, //    #  
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  '@'
 */
static const uint8_t Font12_64[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x98, // #  ## 
	0xA8, // # # # 
	0xA8, // # # # 
	0xA8, // # # # 
	0x90, // #  #  
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'A'
 */
static const uint8_t Font12_65[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x50, //  # #  
	0x50, //  # #  
	0x50, //  # #  
	0xF8, // ##### 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'B'
 */
static const uint8_t Font12_66[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xF0, // ####  
	0x88, // #   # 
	0x88, // #   # 
	0x90, // #  #  
	0xF0, // ####  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0xF0, // ####  
	0x00, //       
	0x00  //       
};

/*
 *  'C'
 */
static const uint8_t Font12_67[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x30, //   ##  
	0x48, //  #  # 
	0x88, // #   # 
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x88, // #   # 
	0x48, //  #  # 
	0x30, //   ##  
	0x00, //       
	0x00  //       
};

/*
 *  'D'
 */
static const uint8_t Font12_68[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xE0, // ###   
	0x90, // #  #  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x90, // #  #  
	0xE0, // ###   
	0x00, //       
	0x00  //       
};

/*
 *  'E'
 */
static const uint8_t Font12_69[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xF8, // ##### 
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0xF0, // ####  
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0xF8, // ##### 
	0x00, //       
	0x00  //       
};

/*
 *  'F'
 */
static const uint8_t Font12_70[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xF8, // ##### 
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0xF0, // ####  
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x00, //       
	0x00  //       
};

/*
 *  'G'
 */
static const uint8_t Font12_71[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x30, //   ##  
	0x48, //  #  # 
	0x80, // #     
	0x80, // #     
	0xB8, // # ### 
	0x88, // #   # 
	0x88, // #   # 
	0x48, //  #  # 
	0x38, //   ### 
	0x00, //       
	0x00  //       
};

/*
 *  'H'
 */
static const uint8_t Font12_72[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0xF8, // ##### 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'I'
 */
static const uint8_t Font12_73[] = {
	5, 12,
	1, 12,
	0x00, //       
	0x70, //  ###  
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'J'
 */
static const uint8_t Font12_74[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x90, // #  #  
	0x90, // #  #  
	0x60, //  ##   
	0x00, //       
	0x00  //       
};

/*
 *  'K'
 */
static const uint8_t Font12_75[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x88, // #   # 
	0x90, // #  #  
	0xA0, // # #   
	0xC0, // ##    
	0xA0, // # #   
	0xA0, // # #   
	0x90, // #  #  
	0x90, // #  #  
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'L'
 */
static const uint8_t Font12_76[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0xF8, // ##### 
	0x00, //       
	0x00  //       
};

/*
 *  'M'
 */
static const uint8_t Font12_77[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0xD8, // ## ## 
	0xD8, // ## ## 
	0xD8, // ## ## 
	0xA8, // # # # 
	0xA8, // # # # 
	0xA8, // # # # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'N'
 */
static const uint8_t Font12_78[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x88, // #   # 
	0xC8, // ##  # 
	0xC8, // ##  # 
	0xA8, // # # # 
	0xA8, // # # # 
	0x98, // #  ## 
	0x98, // #  ## 
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'O'
 */
static const uint8_t Font12_79[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'P'
 */
static const uint8_t Font12_80[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xF0, // ####  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0xF0, // ####  
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x00, //       
	0x00  //       
};

/*
 *  'Q'
 */
static const uint8_t Font12_81[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0xA8, // # # # 
	0x90, // #  #  
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  'R'
 */
static const uint8_t Font12_82[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xF0, // ####  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0xF0, // ####  
	0x90, // #  #  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'S'
 */
static const uint8_t Font12_83[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x80, // #     
	0x60, //  ##   
	0x10, //    #  
	0x08, //     # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'T'
 */
static const uint8_t Font12_84[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xF8, // ##### 
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  'U'
 */
static const uint8_t Font12_85[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'V'
 */
static const uint8_t Font12_86[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x50, //  # #  
	0x50, //  # #  
	0x50, //  # #  
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  'W'
 */
static const uint8_t Font12_87[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xA8, // # # # 
	0xA8, // # # # 
	0xA8, // # # # 
	0xA8, // # # # 
	0xA8, // # # # 
	0xA8, // # # # 
	0x50, //  # #  
	0x50, //  # #  
	0x50, //  # #  
	0x00, //       
	0x00  //       
};

/*
 *  'X'
 */
static const uint8_t Font12_88[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x50, //  # #  
	0x50, //  # #  
	0x20, //   #   
	0x50, //  # #  
	0x50, //  # #  
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'Y'
 */
static const uint8_t Font12_89[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x50, //  # #  
	0x50, //  # #  
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  'Z'
 */
static const uint8_t Font12_90[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xF8, // ##### 
	0x08, //     # 
	0x10, //    #  
	0x10, //    #  
	0x20, //   #   
	0x40, //  #    
	0x40, //  #    
	0x80, // #     
	0xF8, // ##### 
	0x00, //       
	0x00  //       
};

/*
 *  '['
 */
static const uint8_t Font12_91[] = {
	5, 12,
	1, 12,
	0x00, //       
	0x38, //   ### 
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x38  //   ### 
};

/*
 *  '\'
 */
static const uint8_t Font12_92[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x80, // #     
	0x80, // #     
	0x40, //  #    
	0x40, //  #    
	0x20, //   #   
	0x20, //   #   
	0x10, //    #  
	0x10, //    #  
	0x08, //     # 
	0x08, //     # 
	0x00  //       
};

/*
 *  ']'
 */
static const uint8_t Font12_93[] = {
	5, 12,
	1, 12,
	0x00, //       
	0x70, //  ###  
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x70  //  ###  
};

/*
 *  '^'
 */
static const uint8_t Font12_94[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x20, //   #   
	0x50, //  # #  
	0x88, // #   # 
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  '_'
 */
static const uint8_t Font12_95[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0xF8, // ##### 
	0x00, //       
	0x00  //       
};

/*
 *  '''
 */
static const uint8_t Font12_96[] = {
	5, 12,
	1, 12,
	0x00, //       
	0x30, //   ##  
	0x20, //   #   
	0x10, //    #  
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'a'
 */
static const uint8_t Font12_97[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x18, //    ## 
	0x68, //  ## # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  'b'
 */
static const uint8_t Font12_98[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x80, // #     
	0x80, // #     
	0xB0, // # ##  
	0xC8, // ##  # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0xC8, // ##  # 
	0xB0, // # ##  
	0x00, //       
	0x00  //       
};

/*
 *  'c'
 */
static const uint8_t Font12_99[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'd'
 */
static const uint8_t Font12_100[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x08, //     # 
	0x08, //     # 
	0x68, //  ## # 
	0x98, // #  ## 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  'e'
 */
static const uint8_t Font12_101[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0xF8, // ##### 
	0x80, // #     
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'f'
 */
static const uint8_t Font12_102[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x18, //    ## 
	0x20, //   #   
	0x70, //  ###  
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  'g'
 */
static const uint8_t Font12_103[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x78, //  #### 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x08, //     # 
	0x88, // #   # 
	0x70  //  ###  
};

/*
 *  'h'
 */
static const uint8_t Font12_104[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x80, // #     
	0x80, // #     
	0xB0, // # ##  
	0xC8, // ##  # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'i'
 */
static const uint8_t Font12_105[] = {
	5, 12,
	1, 12,
	0x00, //       
	0x20, //   #   
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  'j'
 */
static const uint8_t Font12_106[] = {
	5, 12,
	1, 12,
	0x00, //       
	0x20, //   #   
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x40  //  #    
};

/*
 *  'k'
 */
static const uint8_t Font12_107[] = {
	5, 12,
	1, 12,
	0x00, //       
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x90, // #  #  
	0xA0, // # #   
	0xC0, // ##    
	0xA0, // # #   
	0x90, // #  #  
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'l'
 */
static const uint8_t Font12_108[] = {
	5, 12,
	1, 12,
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  'm'
 */
static const uint8_t Font12_109[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0xF0, // ####  
	0xA8, // # # # 
	0xA8, // # # # 
	0xA8, // # # # 
	0xA8, // # # # 
	0xA8, // # # # 
	0xA8, // # # # 
	0x00, //       
	0x00  //       
};

/*
 *  'n'
 */
static const uint8_t Font12_110[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0xB0, // # ##  
	0xC8, // ##  # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'o'
 */
static const uint8_t Font12_111[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'p'
 */
static const uint8_t Font12_112[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0xB0, // # ##  
	0xC8, // ##  # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0xC8, // ##  # 
	0xB0, // # ##  
	0x80, // #     
	0x80  // #     
};

/*
 *  'q'
 */
static const uint8_t Font12_113[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x68, //  ## # 
	0x98, // #  ## 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x08, //     # 
	0x08  //     # 
};

/*
 *  'r'
 */
static const uint8_t Font12_114[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x58, //  # ## 
	0x60, //  ##   
	0x40, //  #    
	0x40, //  #    
	0x40, //  #    
	0x40, //  #    
	0x40, //  #    
	0x00, //       
	0x00  //       
};

/*
 *  's'
 */
static const uint8_t Font12_115[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x40, //  #    
	0x30, //   ##  
	0x08, //     # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  't'
 */
static const uint8_t Font12_116[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x40, //  #    
	0x40, //  #    
	0xF0, // ####  
	0x40, //  #    
	0x40, //  #    
	0x40, //  #    
	0x40, //  #    
	0x40, //  #    
	0x60, //  ##   
	0x00, //       
	0x00  //       
};

/*
 *  'u'
 */
static const uint8_t Font12_117[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  'v'
 */
static const uint8_t Font12_118[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x50, //  # #  
	0x50, //  # #  
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  'w'
 */
static const uint8_t Font12_119[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x88, // #   # 
	0xA8, // # # # 
	0xA8, // # # # 
	0xA8, // # # # 
	0xA8, // # # # 
	0xA8, // # # # 
	0x50, //  # #  
	0x00, //       
	0x00  //       
};

/*
 *  'x'
 */
static const uint8_t Font12_120[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x88, // #   # 
	0x50, //  # #  
	0x50, //  # #  
	0x20, //   #   
	0x50, //  # #  
	0x50, //  # #  
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'y'
 */
static const uint8_t Font12_121[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x48, //  #  # 
	0x50, //  # #  
	0x50, //  # #  
	0x20, //   #   
	0x20, //   #   
	0x40, //  #    
	0x80  // #     
};

/*
 *  'z'
 */
static const uint8_t Font12_122[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0xF8, // ##### 
	0x10, //    #  
	0x10, //    #  
	0x20, //   #   
	0x40, //  #    
	0x40, //  #    
	0xF8, // ##### 
	0x00, //       
	0x00  //       
};

/*
 *  '{'
 */
static const uint8_t Font12_123[] = {
	5, 12,
	1, 12,
	0x00, //       
	0x08, //     # 
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x20, //   #   
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x10, //    #  
	0x08  //     # 
};

/*
 *  '|'
 */
static const uint8_t Font12_124[] = {
	5, 12,
	1, 12,
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20  //   #   
};

/*
 *  '}'
 */
static const uint8_t Font12_125[] = {
	5, 12,
	1, 12,
	0x00, //       
	0x40, //  #    
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x10, //    #  
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x40  //  #    
};

/*
 *  '->'
 */
static const uint8_t Font12_126[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x48, //  #  # 
	0xB0, // # ##  
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  DEL
 */
static const uint8_t Font12_127[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  yohaku
 */
static const uint8_t Font12_160[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  syuryou
 */
static const uint8_t Font12_161[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x20, //   #   
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  kakko
 */
static const uint8_t Font12_162[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x10, //    #  
	0x70, //  ###  
	0x98, // #  ## 
	0xA0, // # #   
	0xA0, // # #   
	0xA0, // # #   
	0xC8, // ##  # 
	0x70, //  ###  
	0x40, //  #    
	0x00  //       
};

/*
 *  kakko tojiru
 */
static const uint8_t Font12_163[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x10, //    #  
	0x28, //   # # 
	0x20, //   #   
	0x78, //  #### 
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x68, //  ## # 
	0xA8, // # # # 
	0x50, //  # #  
	0x00  //       
};

/*
 *  kutouten
 */
static const uint8_t Font12_164[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x88, // #   # 
	0x70, //  ###  
	0x50, //  # #  
	0x70, //  ###  
	0x88, // #   # 
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  cyuten
 */
static const uint8_t Font12_165[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x50, //  # #  
	0xF8, // ##### 
	0x20, //   #   
	0xF8, // ##### 
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  'WO'
 */
static const uint8_t Font12_166[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00  //       
};

/*
 *  'aa'
 */
static const uint8_t Font12_167[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x30, //   ##  
	0x48, //  #  # 
	0x40, //  #    
	0x30, //   ##  
	0x48, //  #  # 
	0x30, //   ##  
	0x08, //     # 
	0x48, //  #  # 
	0x48, //  #  # 
	0x30, //   ##  
	0x00  //       
};

/*
 *  'ii'
 */
static const uint8_t Font12_168[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x50, //  # #  
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'uu'
 */
static const uint8_t Font12_169[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0xB8, // # ### 
	0xC8, // ##  # 
	0xC8, // ##  # 
	0xB8, // # ### 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'ee'
 */
static const uint8_t Font12_170[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x60, //  ##   
	0xA0, // # #   
	0xA0, // # #   
	0x50, //  # #  
	0x00, //       
	0xF0, // ####  
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'oo'
 */
static const uint8_t Font12_171[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x28, //   # # 
	0x50, //  # #  
	0xA0, // # #   
	0x50, //  # #  
	0x28, //   # # 
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'ya'
 */
static const uint8_t Font12_172[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0xF8, // ##### 
	0x08, //     # 
	0x08, //     # 
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'yu'
 */
static const uint8_t Font12_173[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x70, //  ###  
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
};

/*
 *  'yo'
 */
static const uint8_t Font12_174[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x78, //  #### 
	0x84, // #    #
	0xB4, // # ## #
	0xAC, // # # ##
	0xB4, // # ## #
	0xAC, // # # ##
	0xAC, // # # ##
	0x78, //  #### 
	0x00, //       
	0x00, //       
	0x00  //       
};


/*
 *  'tu'
 */
static const uint8_t Font12_175[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x70, //  ###  
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  '-'
 */
static const uint8_t Font12_176[] = {
	6, 12,
	1, 12,
	0x30, //   ##  
	0x48, //  #  # 
	0x30, //   ##  
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'AA'
 */
static const uint8_t Font12_177[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0xF8, // ##### 
	0x20, //   #   
	0x20, //   #   
	0xF8, // ##### 
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'II'
 */
static const uint8_t Font12_178[] = {
	6, 12,
	1, 12,
	0x40, //  #    
	0xA0, // # #   
	0x20, //   #   
	0x40, //  #    
	0xE0, // ###   
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'UU'
 */
static const uint8_t Font12_179[] = {
	6, 12,
	1, 12,
	0xC0, // ##    
	0x20, //   #   
	0xC0, // ##    
	0x20, //   #   
	0xC0, // ##    
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'EE'
 */
static const uint8_t Font12_180[] = {
	6, 12,
	1, 12,
	0x30, //   ##  
	0x40, //  #    
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'OO'
 */
static const uint8_t Font12_181[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x48, //  #  # 
	0x48, //  #  # 
	0x48, //  #  # 
	0x48, //  #  # 
	0x74, //  ### #
	0x40, //  #    
	0x40, //  #    
	0x80  // #     
};

/*
 *  'KA'
 */
static const uint8_t Font12_182[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x38, //   ### 
	0x68, //  ## # 
	0x68, //  ## # 
	0x28, //   # # 
	0x28, //   # # 
	0x28, //   # # 
	0x28, //   # # 
	0x28, //   # # 
	0x28, //   # # 
	0x28, //   # # 
	0x00  //       
};

/*
 *  'KI'
 */
static const uint8_t Font12_183[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x30, //   ##  
	0x30, //   ##  
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'KU'
 */
static const uint8_t Font12_184[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x40, //  #    
	0x60, //  ##   
	0x10, //    #  
	0x60  //  ##   
};

/*
 *  'KE'
 */
static const uint8_t Font12_185[] = {
	6, 12,
	1, 12,
	0x40, //  #    
	0xC0, // ##    
	0x40, //  #    
	0x40, //  #    
	0x40, //  #    
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'KO'
 */
static const uint8_t Font12_186[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x60, //  ##   
	0x90, // #  #  
	0x90, // #  #  
	0x60, //  ##   
	0x00, //       
	0xF0, // ####  
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'SA'
 */
static const uint8_t Font12_187[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0xA0, // # #   
	0x50, //  # #  
	0x28, //   # # 
	0x50, //  # #  
	0xA0, // # #   
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'SI'
 */
static const uint8_t Font12_188[] = {
	6, 12,
	1, 12,
	0x80, // #     
	0x90, // #  #  
	0xA0, // # #   
	0x50, //  # #  
	0xB0, // # ##  
	0x38, //   ### 
	0x10, //    #  
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'SU'
 */
static const uint8_t Font12_189[] = {
	6, 12,
	1, 12,
	0x80, // #     
	0x90, // #  #  
	0xA0, // # #   
	0x58, //  # ## 
	0x88, // #   # 
	0x10, //    #  
	0x38, //   ### 
	0x00, //       
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'SE'
 */
static const uint8_t Font12_190[] = {
	6, 12,
	1, 12,
	0xC0, // ##    
	0x20, //   #   
	0xE0, // ###   
	0x28, //   # # 
	0xD8, // ## ## 
	0x28, //   # # 
	0x3C, //   ####
	0x08, //     # 
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'SO'
 */
static const uint8_t Font12_191[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x20, //   #   
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x40, //  #    
	0x40, //  #    
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'TA'
 */
static const uint8_t Font12_192[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x10, //    #  
	0x20, //   #   
	0x20, //   #   
	0x50, //  # #  
	0x50, //  # #  
	0x88, // #   # 
	0xF8, // ##### 
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'TI'
 */
static const uint8_t Font12_193[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x40, //  #    
	0x20, //   #   
	0x20, //   #   
	0x50, //  # #  
	0x50, //  # #  
	0x88, // #   # 
	0xF8, // ##### 
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'TU'
 */
static const uint8_t Font12_194[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x50, //  # #  
	0x20, //   #   
	0x20, //   #   
	0x50, //  # #  
	0x50, //  # #  
	0x88, // #   # 
	0xF8, // ##### 
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'TE'
 */
static const uint8_t Font12_195[] = {
	6, 12,
	1, 12,
	0x50, //  # #  
	0xA0, // # #   
	0x20, //   #   
	0x20, //   #   
	0x50, //  # #  
	0x50, //  # #  
	0x88, // #   # 
	0xF8, // ##### 
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'TO'
 */
static const uint8_t Font12_196[] = {
	6, 12,
	1, 12,
	0x50, //  # #  
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x50, //  # #  
	0x50, //  # #  
	0x88, // #   # 
	0xF8, // ##### 
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'NA'
 */
static const uint8_t Font12_197[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x50, //  # #  
	0x20, //   #   
	0x20, //   #   
	0x50, //  # #  
	0x50, //  # #  
	0x88, // #   # 
	0xF8, // ##### 
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'NI'
 */
static const uint8_t Font12_198[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x78, //  #### 
	0x60, //  ##   
	0xA0, // # #   
	0xA0, // # #   
	0xF8, // ##### 
	0xA0, // # #   
	0xA0, // # #   
	0xA0, // # #   
	0xB8, // # ### 
	0x00, //       
	0x00  //       
};

/*
 *  'NU'
 */
static const uint8_t Font12_199[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x30, //   ##  
	0x48, //  #  # 
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0x48, //  #  # 
	0x30, //   ##  
	0x10, //    #  
	0x60, //  ##   
	0x00  //       
};

/*
 *  'NE'
 */
static const uint8_t Font12_200[] = {
	6, 12,
	1, 12,
	0x40, //  #    
	0x20, //   #   
	0xF8, // ##### 
	0x80, // #     
	0x80, // #     
	0xF0, // ####  
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0xF8, // ##### 
	0x00, //       
	0x00  //       
};

/*
 *  'NO'
 */
static const uint8_t Font12_201[] = {
	6, 12,
	1, 12,
	0x10, //    #  
	0x20, //   #   
	0xF8, // ##### 
	0x80, // #     
	0x80, // #     
	0xF0, // ####  
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0xF8, // ##### 
	0x00, //       
	0x00  //       
};

/*
 *  'HA'
 */
static const uint8_t Font12_202[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x50, //  # #  
	0xF8, // ##### 
	0x80, // #     
	0x80, // #     
	0xF0, // ####  
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0xF8, // ##### 
	0x00, //       
	0x00  //       
};

/*
 *  'HI'
 */
static const uint8_t Font12_203[] = {
	6, 12,
	1, 12,
	0x50, //  # #  
	0x00, //       
	0xF8, // ##### 
	0x80, // #     
	0x80, // #     
	0xF0, // ####  
	0x80, // #     
	0x80, // #     
	0x80, // #     
	0xF8, // ##### 
	0x00, //       
	0x00  //       
};

/*
 *  'HU'
 */
static const uint8_t Font12_204[] = {
	6, 12,
	1, 12,
	0x40, //  #    
	0x20, //   #   
	0x70, //  ###  
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'HE'
 */
static const uint8_t Font12_205[] = {
	6, 12,
	1, 12,
	0x10, //    #  
	0x20, //   #   
	0x70, //  ###  
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'HO'
 */
static const uint8_t Font12_206[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x50, //  # #  
	0x00, //       
	0x70, //  ###  
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'MA'
 */
static const uint8_t Font12_207[] = {
	6, 12,
	1, 12,
	0x50, //  # #  
	0x00, //       
	0x70, //  ###  
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'MI'
 */
static const uint8_t Font12_208[] = {
	6, 12,
	1, 12,
	0x00, //       
	0xE0, // ###   
	0x90, // #  #  
	0x88, // #   # 
	0x88, // #   # 
	0xC8, // ##  # 
	0x88, // #   # 
	0x88, // #   # 
	0x90, // #  #  
	0xE0, // ###   
	0x00, //       
	0x00  //       
};

/*
 *  'MU'
 */
static const uint8_t Font12_209[] = {
	6, 12,
	1, 12,
	0x50, //  # #  
	0xA0, // # #   
	0x88, // #   # 
	0xC8, // ##  # 
	0xA8, // # # # 
	0xA8, // # # # 
	0x98, // #  ## 
	0x98, // #  ## 
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  'ME'
 */
static const uint8_t Font12_210[] = {
	6, 12,
	1, 12,
	0x40, //  #    
	0x20, //   #   
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'MO'
 */
static const uint8_t Font12_211[] = {
	6, 12,
	1, 12,
	0x10, //    #  
	0x20, //   #   
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'YA'
 */
static const uint8_t Font12_212[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x50, //  # #  
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'YU'
 */
static const uint8_t Font12_213[] = {
	6, 12,
	1, 12,
	0x28, //   # # 
	0x50, //  # #  
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'YO'
 */
static const uint8_t Font12_214[] = {
	6, 12,
	1, 12,
	0x50, //  # #  
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'RA'
 */
static const uint8_t Font12_215[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x88, // #   # 
	0x50, //  # #  
	0x20, //   #   
	0x50, //  # #  
	0x88, // #   # 
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  'RI'
 */
static const uint8_t Font12_216[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x34, //   ## #
	0x4C, //  #  ##
	0x48, //  #  # 
	0x58, //  # ## 
	0x68, //  ## # 
	0x68, //  ## # 
	0x48, //  #  # 
	0xC8, // ##  # 
	0xB0, // # ##  
	0x00, //       
	0x00  //       
};

/*
 *  'RU'
 */
static const uint8_t Font12_217[] = {
	6, 12,
	1, 12,
	0x40, //  #    
	0x20, //   #   
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'RE'
 */
static const uint8_t Font12_218[] = {
	6, 12,
	1, 12,
	0x10, //    #  
	0x20, //   #   
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'RO'
 */
static const uint8_t Font12_219[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x50, //  # #  
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'WA'
 */
static const uint8_t Font12_220[] = {
	6, 12,
	1, 12,
	0x50, //  # #  
	0xA0, // # #   
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  'NN'
 */
static const uint8_t Font12_221[] = {
	6, 12,
	1, 12,
	0x10, //    #  
	0x20, //   #   
	0x88, // #   # 
	0x88, // #   # 
	0x50, //  # #  
	0x50, //  # #  
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  dakuten
 */
static const uint8_t Font12_222[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x40, //  #    
	0x40, //  #    
	0x70, //  ###  
	0x48, //  #  # 
	0x48, //  #  # 
	0x48, //  #  # 
	0x48, //  #  # 
	0x70, //  ###  
	0x40, //  #    
	0x40, //  #    
	0x00  //       
};

/*
 *  maru
 */
static const uint8_t Font12_223[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x30, //   ##  
	0x48, //  #  # 
	0x48, //  #  # 
	0x48, //  #  # 
	0x70, //  ###  
	0x48, //  #  # 
	0x48, //  #  # 
	0x48, //  #  # 
	0x50, //  # #  
	0x40, //  #    
	0x40  //  #    
};

/*
 *  224
 */
static const uint8_t Font12_224[] = {
	6, 12,
	1, 12,
	0x40, //  #    
	0x20, //   #   
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x18, //    ## 
	0x68, //  ## # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  225
 */
static const uint8_t Font12_225[] = {
	6, 12,
	1, 12,
	0x10, //    #  
	0x20, //   #   
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x18, //    ## 
	0x68, //  ## # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  226
 */
static const uint8_t Font12_226[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x50, //  # #  
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x18, //    ## 
	0x68, //  ## # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  227
 */
static const uint8_t Font12_227[] = {
	6, 12,
	1, 12,
	0x50, //  # #  
	0xA0, // # #   
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x18, //    ## 
	0x68, //  ## # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  228
 */
static const uint8_t Font12_228[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x50, //  # #  
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x18, //    ## 
	0x68, //  ## # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  229
 */
static const uint8_t Font12_229[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x50, //  # #  
	0x20, //   #   
	0x70, //  ###  
	0x88, // #   # 
	0x18, //    ## 
	0x68, //  ## # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  230
 */
static const uint8_t Font12_230[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x50, //  # #  
	0xA8, // # # # 
	0x28, //   # # 
	0x78, //  #### 
	0xA0, // # #   
	0xA8, // # # # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  231
 */
static const uint8_t Font12_231[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x80, // #     
	0x80, // #     
	0x88, // #   # 
	0x70, //  ###  
	0x10, //    #  
	0x60, //  ##   
	0x00  //       
};

/*
 *  232
 */
static const uint8_t Font12_232[] = {
	6, 12,
	1, 12,
	0x40, //  #    
	0x20, //   #   
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0xF8, // ##### 
	0x80, // #     
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  233
 */
static const uint8_t Font12_233[] = {
	6, 12,
	1, 12,
	0x10, //    #  
	0x20, //   #   
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0xF8, // ##### 
	0x80, // #     
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  234
 */
static const uint8_t Font12_234[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x50, //  # #  
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0xF8, // ##### 
	0x80, // #     
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  235
 */
static const uint8_t Font12_235[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x50, //  # #  
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0xF8, // ##### 
	0x80, // #     
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  236
 */
static const uint8_t Font12_236[] = {
	6, 12,
	1, 12,
	0x40, //  #    
	0x20, //   #   
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  237
 */
static const uint8_t Font12_237[] = {
	6, 12,
	1, 12,
	0x10, //    #  
	0x20, //   #   
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  238
 */
static const uint8_t Font12_238[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x50, //  # #  
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  239
 */
static const uint8_t Font12_239[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x50, //  # #  
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x20, //   #   
	0x00, //       
	0x00  //       
};

/*
 *  240
 */
static const uint8_t Font12_240[] = {
	6, 12,
	1, 12,
	0xA0, // # #   
	0x40, //  #    
	0xA0, // # #   
	0x10, //    #  
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  241
 */
static const uint8_t Font12_241[] = {
	6, 12,
	1, 12,
	0x50, //  # #  
	0xA0, // # #   
	0x00, //       
	0x00, //       
	0xB0, // # ##  
	0xC8, // ##  # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x00, //       
	0x00  //       
};

/*
 *  242
 */
static const uint8_t Font12_242[] = {
	6, 12,
	1, 12,
	0x40, //  #    
	0x20, //   #   
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  243
 */
static const uint8_t Font12_243[] = {
	6, 12,
	1, 12,
	0x10, //    #  
	0x20, //   #   
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  244
 */
static const uint8_t Font12_244[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x50, //  # #  
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  245
 */
static const uint8_t Font12_245[] = {
	6, 12,
	1, 12,
	0x50, //  # #  
	0xA0, // # #   
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  246
 */
static const uint8_t Font12_246[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x50, //  # #  
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  247
 */
static const uint8_t Font12_247[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x20, //   #   
	0x00, //       
	0xF8, // ##### 
	0x00, //       
	0x20, //   #   
	0x00, //       
	0x00, //       
	0x00, //       
	0x00  //       
};

/*
 *  248
 */
static const uint8_t Font12_248[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x00, //       
	0x00, //       
	0x34, //   ## #
	0x48, //  #  # 
	0x58, //  # ## 
	0x68, //  ## # 
	0x48, //  #  # 
	0xC8, // ##  # 
	0x30, //   ##  
	0x00, //       
	0x00  //       
};

/*
 *  249
 */
static const uint8_t Font12_249[] = {
	6, 12,
	1, 12,
	0x40, //  #    
	0x20, //   #   
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  250
 */
static const uint8_t Font12_250[] = {
	6, 12,
	1, 12,
	0x10, //    #  
	0x20, //   #   
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  251
 */
static const uint8_t Font12_251[] = {
	6, 12,
	1, 12,
	0x20, //   #   
	0x50, //  # #  
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  252
 */
static const uint8_t Font12_252[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x50, //  # #  
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x98, // #  ## 
	0x68, //  ## # 
	0x00, //       
	0x00  //       
};

/*
 *  253
 */
static const uint8_t Font12_253[] = {
	6, 12,
	1, 12,
	0x10, //    #  
	0x20, //   #   
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x48, //  #  # 
	0x50, //  # #  
	0x50, //  # #  
	0x20, //   #   
	0x20, //   #   
	0x40, //  #    
	0x80  // #     
};

/*
 *  254
 */
static const uint8_t Font12_254[] = {
	6, 12,
	1, 12,
	/* 253 */
	0x00, //       
	0x00, //       
	0x40, //  #    
	0x40, //  #    
	0x70, //  ###  
	0x48, //  #  # 
	0x48, //  #  # 
	0x48, //  #  # 
	0x48, //  #  # 
	0x70, //  ###  
	0x40, //  #    
	0x40  //  #    
};

/*
 *  255
 */
static const uint8_t Font12_255[] = {
	6, 12,
	1, 12,
	0x00, //       
	0x50, //  # #  
	0x00, //       
	0x88, // #   # 
	0x88, // #   # 
	0x48, //  #  # 
	0x50, //  # #  
	0x50, //  # #  
	0x20, //   #   
	0x20, //   #   
	0x40, //  #    
	0x80  // #     
};


const font_t *Font12[] = {
	(font_t *)Font12_32,  (font_t *)Font12_01,  (font_t *)Font12_02,  (font_t *)Font12_03,
	(font_t *)Font12_04,  (font_t *)Font12_05,  (font_t *)Font12_06,  (font_t *)Font12_07,
	(font_t *)Font12_08,  (font_t *)Font12_09,  (font_t *)Font12_10,  (font_t *)Font12_11,
	(font_t *)Font12_12,  (font_t *)Font12_13,  (font_t *)Font12_14,  (font_t *)Font12_15,
	(font_t *)Font12_16,  (font_t *)Font12_17,  (font_t *)Font12_18,  (font_t *)Font12_19,
	(font_t *)Font12_20,  (font_t *)Font12_21,  (font_t *)Font12_22,  (font_t *)Font12_23,
	(font_t *)Font12_24,  (font_t *)Font12_25,  (font_t *)Font12_26,  (font_t *)Font12_27,
	(font_t *)Font12_28,  (font_t *)Font12_29,  (font_t *)Font12_30,  (font_t *)Font12_31,
	(font_t *)Font12_32,  (font_t *)Font12_33,  (font_t *)Font12_34,  (font_t *)Font12_35,
	(font_t *)Font12_36,  (font_t *)Font12_37,  (font_t *)Font12_38,  (font_t *)Font12_39,
	(font_t *)Font12_40,  (font_t *)Font12_41,  (font_t *)Font12_42,  (font_t *)Font12_43,
	(font_t *)Font12_44,  (font_t *)Font12_45,  (font_t *)Font12_46,  (font_t *)Font12_47,
	(font_t *)Font12_48,  (font_t *)Font12_49,  (font_t *)Font12_50,  (font_t *)Font12_51,
	(font_t *)Font12_52,  (font_t *)Font12_53,  (font_t *)Font12_54,  (font_t *)Font12_55,
	(font_t *)Font12_56,  (font_t *)Font12_57,  (font_t *)Font12_58,  (font_t *)Font12_59,
	(font_t *)Font12_60,  (font_t *)Font12_61,  (font_t *)Font12_62,  (font_t *)Font12_63,
	(font_t *)Font12_64,  (font_t *)Font12_65,  (font_t *)Font12_66,  (font_t *)Font12_67,
	(font_t *)Font12_68,  (font_t *)Font12_69,  (font_t *)Font12_70,  (font_t *)Font12_71,
	(font_t *)Font12_72,  (font_t *)Font12_73,  (font_t *)Font12_74,  (font_t *)Font12_75,
	(font_t *)Font12_76,  (font_t *)Font12_77,  (font_t *)Font12_78,  (font_t *)Font12_79,
	(font_t *)Font12_80,  (font_t *)Font12_81,  (font_t *)Font12_82,  (font_t *)Font12_83,
	(font_t *)Font12_84,  (font_t *)Font12_85,  (font_t *)Font12_86,  (font_t *)Font12_87,
	(font_t *)Font12_88,  (font_t *)Font12_89,  (font_t *)Font12_90,  (font_t *)Font12_91,
	(font_t *)Font12_92,  (font_t *)Font12_93,  (font_t *)Font12_94,  (font_t *)Font12_95,
	(font_t *)Font12_96,  (font_t *)Font12_97,  (font_t *)Font12_98,  (font_t *)Font12_99,
	(font_t *)Font12_100, (font_t *)Font12_101, (font_t *)Font12_102, (font_t *)Font12_103,
	(font_t *)Font12_104, (font_t *)Font12_105, (font_t *)Font12_106, (font_t *)Font12_107,
	(font_t *)Font12_108, (font_t *)Font12_109, (font_t *)Font12_110, (font_t *)Font12_111,
	(font_t *)Font12_112, (font_t *)Font12_113, (font_t *)Font12_114, (font_t *)Font12_115,
	(font_t *)Font12_116, (font_t *)Font12_117, (font_t *)Font12_118, (font_t *)Font12_119,
	(font_t *)Font12_120, (font_t *)Font12_121, (font_t *)Font12_122, (font_t *)Font12_123,
	(font_t *)Font12_124, (font_t *)Font12_125, (font_t *)Font12_126, (font_t *)Font12_127,

	0,                    0,                    0,                    0,
	0,                    0,                    0,                    0,
	0,                    0,                    0,                    0,
	0,                    0,                    0,                    0,
	0,                    0,                    0,                    0,
	0,                    0,                    0,                    0,
	0,                    0,                    0,                    0,
	0,                    0,                    0,                    0,
	(font_t *)Font12_160, (font_t *)Font12_161, (font_t *)Font12_162, (font_t *)Font12_163,
	(font_t *)Font12_164, (font_t *)Font12_165, (font_t *)Font12_166, (font_t *)Font12_167,
	(font_t *)Font12_168, (font_t *)Font12_169, (font_t *)Font12_170, (font_t *)Font12_171,
	(font_t *)Font12_172, (font_t *)Font12_173, (font_t *)Font12_174, (font_t *)Font12_175,
	(font_t *)Font12_176, (font_t *)Font12_177, (font_t *)Font12_178, (font_t *)Font12_179,
	(font_t *)Font12_180, (font_t *)Font12_181, (font_t *)Font12_182, (font_t *)Font12_183,
	(font_t *)Font12_184, (font_t *)Font12_185, (font_t *)Font12_186, (font_t *)Font12_187,
	(font_t *)Font12_188, (font_t *)Font12_189, (font_t *)Font12_190, (font_t *)Font12_191,
	(font_t *)Font12_192, (font_t *)Font12_193, (font_t *)Font12_194, (font_t *)Font12_195,
	(font_t *)Font12_196, (font_t *)Font12_197, (font_t *)Font12_198, (font_t *)Font12_199,
	(font_t *)Font12_200, (font_t *)Font12_201, (font_t *)Font12_202, (font_t *)Font12_203,
	(font_t *)Font12_204, (font_t *)Font12_205, (font_t *)Font12_206, (font_t *)Font12_207,
	(font_t *)Font12_208, (font_t *)Font12_209, (font_t *)Font12_210, (font_t *)Font12_211,
	(font_t *)Font12_212, (font_t *)Font12_213, (font_t *)Font12_214, (font_t *)Font12_215,
	(font_t *)Font12_216, (font_t *)Font12_217, (font_t *)Font12_218, (font_t *)Font12_219,
	(font_t *)Font12_220, (font_t *)Font12_221, (font_t *)Font12_222, (font_t *)Font12_223,
	(font_t *)Font12_224, (font_t *)Font12_225, (font_t *)Font12_226, (font_t *)Font12_227,
	(font_t *)Font12_228, (font_t *)Font12_229, (font_t *)Font12_230, (font_t *)Font12_231,
	(font_t *)Font12_232, (font_t *)Font12_233, (font_t *)Font12_234, (font_t *)Font12_235,
	(font_t *)Font12_236, (font_t *)Font12_237, (font_t *)Font12_238, (font_t *)Font12_239,
	(font_t *)Font12_240, (font_t *)Font12_241, (font_t *)Font12_242, (font_t *)Font12_243,
	(font_t *)Font12_244, (font_t *)Font12_245, (font_t *)Font12_246, (font_t *)Font12_247,
	(font_t *)Font12_248, (font_t *)Font12_249, (font_t *)Font12_250, (font_t *)Font12_251,
	(font_t *)Font12_252, (font_t *)Font12_253, (font_t *)Font12_254, (font_t *)Font12_255
};

font_head_t Shinonome_Font12 = {
	"shinonome_font12",
	0x80,
	0x00,
	12,
	12,
	Font12,
	NULL
};

